Bug 116956 - PAM memory leak
PAM memory leak
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: pam (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-26 14:15 EST by Chad Smith
Modified: 2015-01-07 19:07 EST (History)
1 user (show)

See Also:
Fixed In Version: pam-0.77-66
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 12:46:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test program to use PAM calls continuously (7.82 KB, text/plain)
2004-02-26 14:17 EST, Chad Smith
no flags Details

  None (edit)
Description Chad Smith 2004-02-26 14:15:40 EST
Description of problem: Issuing PAM calls in a continuous loop causes
memory 
growth in the process. 
	
	
Version or Release number of selected component (if n/a, use `uname -a`):
pam-0.75-46.7.3	
	
How reproducible:
Reproduces every time.
	
Steps to Reproduce:
1. Download attached pamtest source, pamtest.c.
2. cc pamtest.c -lpam -o pamtest
3. ./pamtest &
	    
Actual results:
	    
11:08a 32269 root      15   0  2960 2960  1760 S     8.2  0.0   0:01
pamtest
11:12a 32269 root      15   0  4832 4832  1744 S     8.7  0.0   0:24
pamtest
11:13a 32269 root      15   0  5104 5104  1744 S     6.2  0.0   0:27
pamtest
11:25a 32269 root      15   0 13536  13M  1744 S     8.6  0.1   2:09
pamtest
11:50a 32269 root      15   0 19216  18M  1744 S     8.5  0.2   3:18
pamtest
12:22p 32269 root      15   0 31328  30M  1744 S     8.8  0.3   5:44
pamtest
	    
Expected results:
Top should show memory growth stabilize in the pamtest process.	  
	    
Additional info:
Comment 1 Chad Smith 2004-02-26 14:17:06 EST
Created attachment 98082 [details]
test program to use PAM calls continuously
Comment 2 Tomas Mraz 2004-11-09 13:24:50 EST
There are several memory leaks in pam_stack. As it isn't a critical
bug I'll fix that in RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.